# BEAST

Bayesian Evolutionary Analysis Sampling Trees (BEAST) is a cross-platform program for Bayesian analysis of molecular sequences using MCMC. 
The program is orientated towards (strict and relaxed) molecular clock analyses. 
It can be used as a method of constructing phylogenies, but it is also intended for testing evolutionary hypotheses without conditioning on a single tree topology. 
BEAST uses MCMC to average over tree space, so that each tree is weighted proportional to its posterior probability. 
It uses an XML input format that allows the user to design and run a large range of models. 
We also include a program that can convert NEXUS files into this format.

## Download BEAST

[Download BEAST v1.8.1 binaries for Mac, Windows and UNIX/Linux](http://tree.bio.ed.ac.uk/software/beast/)

[Older BEAST Downloads](https://code.google.com/p/beast-mcmc/downloads)

## Other Downloads

[BEASTGen v1.0.2 .tgz file](https://drive.google.com/file/d/0B37cqWL7UhTAVFVhQ2o1Y093b1k)

[BEASTGen v1.0.2 .ZIP file](https://drive.google.com/file/d/0B37cqWL7UhTAWm81VklIeUNtQVU)

# Documentation

[BEAST Documentation Website](http://beast.bio.ed.ac.uk)


# Acknowledgements
- This project is supported in part through the National Science Foundation grant DMS 1264153.

---

YourKit is kindly supporting open source projects with its full-featured Java Profiler.
YourKit, LLC is the creator of innovative and intelligent tools for profiling Java and .NET applications. 
Take a look at YourKit's leading software products [YourKit Java Profiler](http://www.yourkit.com/java/profiler/index.jsp) and [YourKit .NET Profiler](http://www.yourkit.com/.net/profiler/index.jsp).
