/*
 * CoalescentPopulationMRCAModel.java
 *
 * Copyright (c) 2002-2015 Alexei Drummond, Andrew Rambaut and Marc Suchard
 *
 * This file is part of BEAST.
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership and licensing.
 *
 * BEAST is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 *  BEAST is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with BEAST; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 */

package dr.evomodel.approxPopTree;

import dr.evolution.alignment.Patterns;
import dr.evolution.tree.NodeRef;
import dr.inference.model.Model;
import dr.inference.model.Parameter;
import dr.inference.model.Variable;

import java.util.LinkedList;

/**
 * Package: CoalescentPopulationMRCAModel
 * Description:
 * <p/>
 * <p/>
 * Created by
 *
 * @author Alexander V. Alekseyenko (alexander.alekseyenko@gmail.com)
 *         Date: Feb 1, 2010
 *         Time: 6:06:24 PM
 */
public class CoalescentPopulationMRCAModel extends AbstractPopulationMRCAModel {
    public CoalescentPopulationMRCAModel(String name, double populationTime) {
        super(name, populationTime);
    }

    public double getMRCATime(LinkedList<NodeRef> nodes) {
        return 0;  //AUTOGENERATED METHOD IMPLEMENTATION
    }

    public double drawMRCATime(LinkedList<NodeRef> nodes) {
        return 0;  //AUTOGENERATED METHOD IMPLEMENTATION
    }

    public double[][] getMRCAPartials(LinkedList<NodeRef> nodes, Patterns patterns) {
        return new double[0][];  //AUTOGENERATED METHOD IMPLEMENTATION
    }

    public double[][] drawMRCAPartials(LinkedList<NodeRef> nodes, Patterns patterns) {
        return new double[0][];  //AUTOGENERATED METHOD IMPLEMENTATION
    }

    protected void handleModelChangedEvent(Model model, Object object, int index) {
        //AUTOGENERATED METHOD IMPLEMENTATION
    }

    protected void handleVariableChangedEvent(Variable variable, int index, Parameter.ChangeType type) {
        //AUTOGENERATED METHOD IMPLEMENTATION
    }

    protected void storeState() {
        //AUTOGENERATED METHOD IMPLEMENTATION
    }

    protected void restoreState() {
        //AUTOGENERATED METHOD IMPLEMENTATION
    }

    protected void acceptState() {
        //AUTOGENERATED METHOD IMPLEMENTATION
    }
}
